Subject: bug#45202: closed (Re: bug#45202: pcscd service (pcsc-lite) doesn't handle run directory properly)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Dec 2020 22:19:03 +0000

Your bug report

#45202: pcscd service (pcsc-lite) doesn't handle run directory properly

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45202: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45202
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45202: pcscd service (pcsc-lite) doesn't handle run directory properly
From: Tobias Geerinckx-Rice <[email-masked]>
To: Raffael Stocker <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 12 Dec 2020 23:18:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Raffael,

Raffael Stocker 写道：
> The reason seems to be that pcsc-lite creates its pid file in
> "/run/pcscd/", but herd expects it in "/var/run/pcscd/".

Thanks for the report!  I'm closing this bug because I believe 
to've fixed it on master.  Pull it and see.

/var/run has no place on modern GNU/Linux.  We should strive to 
migrate all remaining users to /run, but there's no rush.

Kind regards,

T G-R

Subject: pcscd service (pcsc-lite) doesn't handle run directory properly
From: Raffael Stocker <[email-masked]>
To: [email-masked]
Date: Sat, 12 Dec 2020 15:31:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I use the pcsc-lite package and noticed that the pcscd service is
sometimes not started by shepherd/herd.  If it is started, "herd start
pcscd" gives me the following error message (sorry for the german part):

> herd: Ausnahmefehler während der Ausführung von »start« mit dem Dienst »pcscd«:
> In procedure open-file: No such file or directory: "/var/run/pcscd/pcscd.pid"

The reason seems to be that pcsc-lite creates its pid file in
"/run/pcscd/", but herd expects it in "/var/run/pcscd/".  This leads to
the service not being started when the files in "/run/pcscd/" have not
been cleaned up (or so my interpretation).  In this case, I get the
error message:

> herd: Ausnahmefehler während der Ausführung von »start« mit dem Dienst »pcscd«:
> Throw to key `%exception' with args `("#<&invoke-error program:
> \"/gnu/store/r1yd6czv3r0is0a1gfsrix3gslkba80v-pcsc-lite-1.9.0/sbin/pcscd\"
> arguments: () exit-status: 1 term-signal: #f stop-signal: #f>")'. 

If I delete the "/run/pcscd" directory, the daemon will be started,
although with the first error message from above.

I have been using guix for only a week now and don't know how to edit
service definitions etc., but maybe someone more competent could have a
look at this.

Regards,
Raffael